Tests provided configuration for communication with VRO

Tests provided configuration for communication with VRO

Returns status of the tested communication between ASD and vRO with passed in as argument configuration

Request
URI
PUT
https://{api_host}/advanced-designer-service/api/tenants/{tenantId}/configurations/status
COPY
Path Parameters
string
tenantId
Required

The tenant


Request Body

A valid configuration object to test for connectivity with vRO

configuration of type(s) application/json
Required
{
    "systemDefault": false,
    "password": "string",
    "port": 0,
    "name": "string",
    "host": "string",
    "ssoMode": false,
    "tenantId": "string",
    "description": "string",
    "id": "string",
    "embedded": false,
    "username": "string"
}
boolean
systemDefault
Optional

systemDefault

string
password
Optional

password

integer As int32 As int32
port
Optional

port

string
name
Required

name

string
host
Required

host

boolean
ssoMode
Optional

ssoMode

string
tenantId
Required

tenantId

string
description
Optional

description

string As uuid As uuid
id
Optional

id

boolean
embedded
Optional

embedded

string
username
Optional

username

Responses
200
Operation doesn't return any data structure